Skip to Content
Keko
API reference

Account

GET
/v1/account/export

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
kind*string
version*number
exportedAt*string
user*
signIns*array<>
aiAccounts*array<>|null
variables*array<>
github*
billing*
waitlist*array<>
deletion*
Example Request
curl -X GET 'https://api.keko.run/v1/account/export'
Example Response
{  "kind": "keko.account-export",  "version": 1,  "exportedAt": "string",  "user": {    "id": "string",    "name": "string",    "email": "string",    "image": "string",    "createdAt": "string"  },  "signIns": [    {      "provider": "string",      "accountId": "string",      "createdAt": "string"    }  ],  "aiAccounts": [    {      "id": "string",      "kind": "string",      "label": "string"    }  ],  "variables": [    {      "project": "string",      "scope": "string",      "name": "string",      "thread": "string",      "updatedAt": 0    }  ],  "github": {    "installations": [      {        "id": 0,        "accountLogin": "string",        "accountType": "string",        "repositorySelection": "string",        "suspended": true      }    ]  },  "billing": {    "plan": "string",    "subscriptionStatus": "string",    "renewsAt": "string",    "hasStripeCustomer": true,    "usage": [      {        "period": "string",        "seconds": 0,        "overageSeconds": 0      }    ]  },  "waitlist": [    {      "email": "string",      "source": "string",      "joinedAt": "string"    }  ],  "deletion": {    "deletion": {      "requestedAt": "string",      "deleteAt": "string",      "state": "scheduled"    },    "cancelledAt": "string",    "graceDays": 0  }}
GET
/v1/account/deletion

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
deletion*|null
cancelledAt*string|null
graceDays*integer
Range0 <= value <= 9007199254740991
Example Request
curl -X GET 'https://api.keko.run/v1/account/deletion'
Example Response
{  "deletion": {    "requestedAt": "string",    "deleteAt": "string",    "state": "scheduled"  },  "cancelledAt": "string",  "graceDays": 0}
POST
/v1/account/deletion

Authorization

bearer
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
confirm*string
Length1 <= length <= 320

Response Body

OK

application/json
  1. response
deletion*|null
cancelledAt*string|null
graceDays*integer
Range0 <= value <= 9007199254740991
Example Request
curl -X POST 'https://api.keko.run/v1/account/deletion' \  -H 'Content-Type: application/json' \  -d '{  "confirm": "string"}'
Example Response
{  "deletion": {    "requestedAt": "string",    "deleteAt": "string",    "state": "scheduled"  },  "cancelledAt": "string",  "graceDays": 0}
DELETE
/v1/account/deletion

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
deletion*|null
cancelledAt*string|null
graceDays*integer
Range0 <= value <= 9007199254740991
Example Request
curl -X DELETE 'https://api.keko.run/v1/account/deletion'
Example Response
{  "deletion": {    "requestedAt": "string",    "deleteAt": "string",    "state": "scheduled"  },  "cancelledAt": "string",  "graceDays": 0}